# class toTabBar

An extension of the regular tab bar with an extension to be able to hide tabs without removing them. More...

Definition | `#include <totabwidget.h>`
Inherits | QTabBar (qt) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toTabBar (QWidget *parent=0,const char *name=0)
- virtual int insertTab (QTab *newTab,int ix=-1)
- virtual int addTab (QTab *newTab)
- virtual void removeTab (QTab *t)
- virtual void layoutTabs ()
- virtual void setTabShown (int ix,bool shown)

## Detailed Description

An extension of the regular tab bar with an extension to be able to hide tabs without removing them.

toTabBar (QWidget *parent=0,const char *name=0)

### toTabBar

Constructor.

int insertTab (QTab *newTab,int ix=-1)

### insertTab

[virtual]

Reimplemented for internal reasons.

Reimplemented from QTabBar.

int addTab (QTab *newTab)

### addTab

[virtual]

Reimplemented for internal reasons.

Reimplemented from QTabBar.

void removeTab (QTab *t)

### removeTab

[virtual]

Reimplemented for internal reasons.

Reimplemented from QTabBar.

void layoutTabs ()

### layoutTabs

[virtual]

Reimplemented for internal reasons.

Reimplemented from QTabBar.

void setTabShown (int ix,bool shown)

### setTabShown

[virtual]

Specify if a tab is shown.

Parameters:

ix | Index of the tab to change visibility.
shown | Show tab if true, hide if false.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.